/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 */


package android.app.job;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract class JobServiceEngine {

public JobServiceEngine(android.app.Service service) { throw new RuntimeException("Stub!"); }

public final android.os.IBinder getBinder() { throw new RuntimeException("Stub!"); }

public abstract boolean onStartJob(android.app.job.JobParameters params);

public abstract boolean onStopJob(android.app.job.JobParameters params);

public void jobFinished(android.app.job.JobParameters params, boolean needsReschedule) { throw new RuntimeException("Stub!"); }

public void onNetworkChanged(@android.annotation.NonNull android.app.job.JobParameters params) { throw new RuntimeException("Stub!"); }

public void updateTransferredNetworkBytes(@android.annotation.NonNull android.app.job.JobParameters params, @android.annotation.Nullable android.app.job.JobWorkItem item, long downloadBytes, long uploadBytes) { throw new RuntimeException("Stub!"); }

public void updateEstimatedNetworkBytes(@android.annotation.NonNull android.app.job.JobParameters params, @android.annotation.Nullable android.app.job.JobWorkItem item, long downloadBytes, long uploadBytes) { throw new RuntimeException("Stub!"); }

public void setNotification(@android.annotation.NonNull android.app.job.JobParameters params, int notificationId, @android.annotation.NonNull android.app.Notification notification, int jobEndNotificationPolicy) { throw new RuntimeException("Stub!"); }
}

