/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.hardware.display;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class VirtualDisplayConfig implements android.os.Parcelable {

VirtualDisplayConfig() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getName() { throw new RuntimeException("Stub!"); }

public int getWidth() { throw new RuntimeException("Stub!"); }

public int getHeight() { throw new RuntimeException("Stub!"); }

public int getDensityDpi() { throw new RuntimeException("Stub!"); }

public int getFlags() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.view.Surface getSurface() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.Set<java.lang.String> getDisplayCategories() { throw new RuntimeException("Stub!"); }

public float getRequestedRefreshRate() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.hardware.display.VirtualDisplayConfig> CREATOR;
static { CREATOR = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull java.lang.String name, int width, int height, int densityDpi) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.display.VirtualDisplayConfig.Builder setFlags(int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.display.VirtualDisplayConfig.Builder setSurface(@android.annotation.Nullable android.view.Surface surface) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.display.VirtualDisplayConfig.Builder setDisplayCategories(@android.annotation.NonNull java.util.Set<java.lang.String> displayCategories) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.display.VirtualDisplayConfig.Builder addDisplayCategory(@android.annotation.NonNull java.lang.String displayCategory) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.display.VirtualDisplayConfig.Builder setRequestedRefreshRate(float requestedRefreshRate) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.display.VirtualDisplayConfig build() { throw new RuntimeException("Stub!"); }
}

}

