/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class Spatializer {

Spatializer() { throw new RuntimeException("Stub!"); }

public boolean isEnabled() { throw new RuntimeException("Stub!"); }

public boolean isAvailable() { throw new RuntimeException("Stub!"); }

public boolean isHeadTrackerAvailable() { throw new RuntimeException("Stub!"); }

public void addOnHeadTrackerAvailableListener(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.media.Spatializer.OnHeadTrackerAvailableListener listener) { throw new RuntimeException("Stub!"); }

public void removeOnHeadTrackerAvailableListener(@android.annotation.NonNull android.media.Spatializer.OnHeadTrackerAvailableListener listener) { throw new RuntimeException("Stub!"); }

public int getImmersiveAudioLevel() { throw new RuntimeException("Stub!"); }

public boolean canBeSpatialized(@android.annotation.NonNull android.media.AudioAttributes attributes, @android.annotation.NonNull android.media.AudioFormat format) { throw new RuntimeException("Stub!"); }

public void addOnSpatializerStateChangedListener(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.media.Spatializer.OnSpatializerStateChangedListener listener) { throw new RuntimeException("Stub!"); }

public void removeOnSpatializerStateChangedListener(@android.annotation.NonNull android.media.Spatializer.OnSpatializerStateChangedListener listener) { throw new RuntimeException("Stub!"); }

public static final int SPATIALIZER_IMMERSIVE_LEVEL_MULTICHANNEL = 1; // 0x1

public static final int SPATIALIZER_IMMERSIVE_LEVEL_NONE = 0; // 0x0

public static final int SPATIALIZER_IMMERSIVE_LEVEL_OTHER = -1; // 0xffffffff
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnHeadTrackerAvailableListener {

public void onHeadTrackerAvailableChanged(@android.annotation.NonNull android.media.Spatializer spatializer, boolean available);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnSpatializerStateChangedListener {

public void onSpatializerEnabledChanged(@android.annotation.NonNull android.media.Spatializer spat, boolean enabled);

public void onSpatializerAvailableChanged(@android.annotation.NonNull android.media.Spatializer spat, boolean available);
}

}

