/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.speech;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class RecognitionPart implements android.os.Parcelable {

RecognitionPart() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getRawText() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getFormattedText() { throw new RuntimeException("Stub!"); }

public long getTimestampMillis() { throw new RuntimeException("Stub!"); }

public int getConfidenceLevel() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public static final int CONFIDENCE_LEVEL_HIGH = 5; // 0x5

public static final int CONFIDENCE_LEVEL_LOW = 1; // 0x1

public static final int CONFIDENCE_LEVEL_MEDIUM = 3; // 0x3

public static final int CONFIDENCE_LEVEL_MEDIUM_HIGH = 4; // 0x4

public static final int CONFIDENCE_LEVEL_MEDIUM_LOW = 2; // 0x2

public static final int CONFIDENCE_LEVEL_UNKNOWN = 0; // 0x0

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.speech.RecognitionPart> CREATOR;
static { CREATOR = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull java.lang.String rawText) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.speech.RecognitionPart.Builder setRawText(@android.annotation.NonNull java.lang.String value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.speech.RecognitionPart.Builder setTimestampMillis(long value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.speech.RecognitionPart.Builder setConfidenceLevel(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.speech.RecognitionPart build() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.speech.RecognitionPart.Builder setFormattedText(@android.annotation.NonNull java.lang.String value) { throw new RuntimeException("Stub!"); }
}

}

